---
hide:
  - toc
---

# Topic: sampling

| Tool | Description |
|--------|-------------|
| [d.where](d.where.md) | Identifies the geographic coordinates associated with point locations given in display coordinates. |
| [r.random.cells](r.random.cells.md) | Generates random cell values with spatial dependence. |
| [r.random](r.random.md) | Creates a raster map and vector point map containing randomly located cells and points. |
| [t.rast.what](t.rast.what.md) | Sample a space time raster dataset at specific vector point coordinates and write the output to stdout using different layouts |
| [t.sample](t.sample.md) | Samples the input space time dataset(s) with a sample space time dataset and print the result to stdout. |
| [t.vect.observe.strds](t.vect.observe.strds.md) | Observes specific locations in a space time raster dataset over a period of time using vector points. |
| [t.vect.what.strds](t.vect.what.strds.md) | Stores raster map values at spatial and temporal positions of vector points as vector attributes. |
| [v.random](v.random.md) | Generates random 2D/3D vector points. |
| [v.sample](v.sample.md) | Samples a raster map at vector point locations. |
| [v.what.rast](v.what.rast.md) | Uploads raster values at positions of vector points to the table. |
| [v.what.rast3](v.what.rast3.md) | Uploads 3D raster values at positions of vector points to the table. |
| [v.what.vect](v.what.vect.md) | Uploads vector values at positions of vector points to the table. |

*See also the corresponding keyword for additional references:*

<!-- topic_keyword { include: [sampling] } -->
